# Uses of Interface
org.codehaus.commons.compiler.ErrorHandler

Packages that use ErrorHandler
Package
Description
org.codehaus.commons.compiler
This package declares interfaces for the implementation of an `IExpressionEvaluator`, an `IScriptEvaluator`, an `IClassBodyEvaluator` and an `ISimpleCompiler`.
org.codehaus.commons.compiler.jdk
An implementation of the `org.codehaus.commons.compiler` API that uses the "JAVAC" Java compiler that is part of the "Java Development Kit" (JDK).
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of ErrorHandler in org.codehaus.commons.compiler

Fields in org.codehaus.commons.compiler declared as ErrorHandler
Modifier and Type
Field
Description
`protected ErrorHandler`
AbstractCompiler.`compileErrorHandler`
Stores the value configured with `AbstractCompiler.setCompileErrorHandler(ErrorHandler)`.
Methods in org.codehaus.commons.compiler with parameters of type ErrorHandler
Modifier and Type
Method
Description
`void`
AbstractCompiler.`setCompileErrorHandler(ErrorHandler compileErrorHandler)`
`void`
IClassBodyEvaluator.`setCompileErrorHandler(ErrorHandler compileErrorHandler)`
Installs an `ErrorHandler` which is invoked during compilation on each error.
`void`
ICompiler.`setCompileErrorHandler(ErrorHandler errorHandler)`
Installs an `ErrorHandler` which is invoked during compilation on each error.
`void`
IExpressionEvaluator.`setCompileErrorHandler(ErrorHandler compileErrorHandler)`
Installs an `ErrorHandler` which is invoked during compilation on each error.
`void`
IScriptEvaluator.`setCompileErrorHandler(ErrorHandler compileErrorHandler)`
Installs an `ErrorHandler` which is invoked during compilation on each error.
`void`
ISimpleCompiler.`setCompileErrorHandler(ErrorHandler compileErrorHandler)`
Installs an `ErrorHandler` which is invoked during compilation on each error.

## Uses of ErrorHandler in org.codehaus.commons.compiler.jdk

Methods in org.codehaus.commons.compiler.jdk with parameters of type ErrorHandler
Modifier and Type
Method
Description
`void`
ClassBodyEvaluator.`setCompileErrorHandler(ErrorHandler compileErrorHandler)`
`void`
ExpressionEvaluator.`setCompileErrorHandler(ErrorHandler compileErrorHandler)`
`void`
ScriptEvaluator.`setCompileErrorHandler(ErrorHandler compileErrorHandler)`
`void`
SimpleCompiler.`setCompileErrorHandler(ErrorHandler compileErrorHandler)`

## Uses of ErrorHandler in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type ErrorHandler
Modifier and Type
Method
Description
`void`
ClassBodyEvaluator.`setCompileErrorHandler(ErrorHandler compileErrorHandler)`
`void`
ExpressionEvaluator.`setCompileErrorHandler(ErrorHandler compileErrorHandler)`
`void`
JavaSourceClassLoader.`setCompileErrorHandler(ErrorHandler compileErrorHandler)`
`void`
JavaSourceIClassLoader.`setCompileErrorHandler(ErrorHandler compileErrorHandler)`
`void`
ScriptEvaluator.`setCompileErrorHandler(ErrorHandler compileErrorHandler)`
`void`
SimpleCompiler.`setCompileErrorHandler(ErrorHandler compileErrorHandler)`
`void`
UnitCompiler.`setCompileErrorHandler(ErrorHandler compileErrorHandler)`
By default, `CompileException`s are thrown on compile errors, but an application my install its own (thread-local) `ErrorHandler`.